
define fadeSlow = Fade(0.8, 1.0, 1)
define fadeQuick = Fade(0.3, 0.8, 0.3)
define fadeFast = Fade(0.2, 0.3, 0)


default persistent.galleryNameSet = False

label galleryNameChange:
    scene black
    if persistent.galleryNameSet:
        pass
    else:
        call Rename
    return

screen sceneReplay1():
    tag menu
    modal True

    add "#000"
    add Transform("shaddyMod/images/ShaddyBG.webp", zoom=1.0) xcenter 0.5 ycenter 0.5 alpha 0.65

    text "ShaddyModda's Scene Gallery":
        style "shaddyHeader"
        xcenter 0.5
        ycenter 40

    $ gallery_scene_list=[]
    $ gallery_scene_list.append(["Mod_Jump_002","images/prologue/kitchen/wakitchen4.jpg"])
    $ gallery_scene_list.append(["scene002","images/v011/romcm1.jpg"])
    $ gallery_scene_list.append(["scene003","images/SideStories/nightmare/lntwo42v3.jpg"])
    $ gallery_scene_list.append(["scene004","images/SideStories/nightmare/lntwo160.jpg"])
    if persistent.patch_installed:
        $ gallery_scene_list.append(["scene005p","images/v02/lnw216.jpg"])
        $ gallery_scene_list.append(["scene006","lwdptch/v025/lnw111.jpg"])
    else:
        $ gallery_scene_list.append(["scene005","images/v02/lnw216.jpg"])
    $ gallery_scene_list.append(["scene007","images/v035/rqby124.jpg"])
    $ gallery_scene_list.append(["scene008","images/v05/5/rbmgrlgrdn40.jpg"])
    $ gallery_scene_list.append(["scene009","images/v05/9/lekmescn18.jpg"])
    if persistent.patch_installed:
        $ gallery_scene_list.append(["scene010","lwdptch/v05/evbtysnd15.jpg"])
        $ gallery_scene_list.append(["scene011","lwdptch/v05/evbtysnd82.jpg"])

    vpgrid:
        cols 4
        xspacing 50
        yspacing 50
        pos (315, 400)

        for i in gallery_scene_list:
            $ scopeDict = {"quick_menu":False,"mcName": persistent.mcName,"fabName": persistent.fabName}
            imagebutton:
                idle Transform((i[1]),zoom=0.15)
                hover Transform(im.MatrixColor(i[1],im.matrix.brightness(0.20)), zoom=0.15)
                action Replay(i[0], scope=scopeDict, locked=False)

    #textbutton "PAGE 1":
        #text_style "shaddyTextButton1"
        #pos(0.025,0.26)
        #action [Show("sceneReplay1")]

    #textbutton "PAGE 2":
        #text_style "shaddyTextButton1"
        #pos(0.025,0.32)
        #action [Show("sceneReplay2")]

    #textbutton "PAGE 3":
        #text_style "shaddyTextButton1"
        #pos(0.025,0.38)
        #action [Show("sceneReplay3")]

    textbutton _("RENAME"):
        text_style "shaddyTextButton1"
        align(0.001,1.0)
        action Call ("Rename")

    textbutton "RETURN":
        text_style "shaddyTextButton1"
        align(0.5,1.0)
        action Hide("sceneReplay1"), Return()

    imagebutton:
        xalign 0.99 yalign 0.89
        idle im.Scale("ShaddyMod/images/patreon.webp", 150, 40)
        hover im.Scale(im.MatrixColor("ShaddyMod/images/patreon.webp", im.matrix.colorize("#cc33cc", "#009dff")), 175, 50)
        action OpenURL("https://www.patreon.com/ShaddyModda")
    imagebutton:
        xalign 0.99 yalign 0.94
        idle im.Scale("ShaddyMod/images/substar.webp", 150, 40)
        hover im.Scale(im.MatrixColor("ShaddyMod/images/substar.webp", im.matrix.colorize("#cc33cc", "#009dff")), 175, 50)
        action OpenURL("https://subscribestar.adult/shaddymodda")
    imagebutton:
        xalign 0.99 yalign 0.99
        idle im.Scale("ShaddyMod/images/Discord.webp", 150, 40)
        hover im.Scale(im.MatrixColor("ShaddyMod/images/Discord.webp", im.matrix.colorize("#f00", "#f00")), 175, 50)
        action OpenURL("https://discord.gg/MS3nkmkpm6")


#screen sceneReplay2():

label rep_end:
    $ quick_menu = True
    scene black with dissolve
    $ renpy.end_replay()
    return
